OpenJPEG: marker_manager.c File Reference

OpenJPEG 2.1.2

Macros | Functions
marker_manager.c File Reference
`#include "marker_manager.h"`

## Macros
#define | FCGI_stdout stdout
#define | FCGI_stderr stderr
#define | logstream stderr

## Functions
marker_param_t | set_marker (codestream_param_t cs, Byte2_t code, OPJ_OFF_T offset, Byte2_t length)
| set marker parameters from inputs More...
Byte_t | fetch_marker1byte (marker_param_t marker, OPJ_OFF_T offset)
| fetch marker content 1-bytes of data in file stream More...
Byte2_t | fetch_marker2bytebigendian (marker_param_t marker, OPJ_OFF_T offset)
| fetch marker content 2-byte big endian Byte codes in file stream More...
Byte4_t | fetch_marker4bytebigendian (marker_param_t marker, OPJ_OFF_T offset)
| fetch marker content 4-byte big endian Byte codes in file stream More...

## Macro Definition Documentation

## ◆ FCGI_stderr

#define FCGI_stderr stderr

## ◆ FCGI_stdout

#define FCGI_stdout stdout

## ◆ logstream

#define logstream stderr

## Function Documentation

## ◆ fetch_marker1byte()

Byte_t fetch_marker1byte | ( | marker_param_t | marker,
|  | OPJ_OFF_T | offset
| ) |  |

fetch marker content 1-bytes of data in file stream

Parameters

  [in] | marker | marker structure
  [in] | offset | start Byte position in marker

Returns
  fetched code

References marker_param::cs, fetch_codestream1byte(), and marker_param::offset.

Referenced by set_CODmkrdata(), and set_SIZmkrdata().

## ◆ fetch_marker2bytebigendian()

Byte2_t fetch_marker2bytebigendian | ( | marker_param_t | marker,
|  | OPJ_OFF_T | offset
| ) |  |

fetch marker content 2-byte big endian Byte codes in file stream

Parameters

  [in] | marker | marker structure
  [in] | offset | start Byte position in marker

Returns
  fetched code

References marker_param::cs, fetch_codestream2bytebigendian(), and marker_param::offset.

Referenced by set_CODmkrdata(), and set_SIZmkrdata().

## ◆ fetch_marker4bytebigendian()

Byte4_t fetch_marker4bytebigendian | ( | marker_param_t | marker,
|  | OPJ_OFF_T | offset
| ) |  |

fetch marker content 4-byte big endian Byte codes in file stream

Parameters

  [in] | marker | marker structure
  [in] | offset | start Byte position in marker

Returns
  fetched code

References marker_param::cs, fetch_codestream4bytebigendian(), and marker_param::offset.

Referenced by set_SIZmkrdata().

## ◆ set_marker()

marker_param_t set_marker | ( | codestream_param_t | cs,
|  | Byte2_t | code,
|  | OPJ_OFF_T | offset,
|  | Byte2_t | length
| ) |  |

set marker parameters from inputs

Parameters

  [in] | cs | marker code
  [in] | code | marker code
  [in] | offset | offset in the codestream
  [in] | length | marker segment length

Returns
  structure of generated marker parameters

References marker_param::code, marker_param::cs, marker_param::length, and marker_param::offset.

Referenced by set_CODmkrdata(), and set_SIZmkrdata().